Bug 1540182 - QEMU: disallow virtio-gpu to boot with vIOMMU
Summary: QEMU: disallow virtio-gpu to boot with vIOMMU
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Peter Xu
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-30 12:45 UTC by Peter Xu
Modified: 2018-04-11 00:58 UTC (History)
22 users (show)

(edit)
Clone Of: 1540181
(edit)
Last Closed: 2018-04-11 00:58:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2018-04-10 22:54:38 UTC

Comment 2 Peter Xu 2018-01-31 04:22:05 UTC
Posted upstream:

http://lists.gnu.org/archive/html/qemu-devel/2018-01/msg07113.html

Comment 7 Miroslav Rezanina 2018-02-07 13:30:55 UTC
Fix included in qemu-kvm-rhev-2.10.0-20.el7

Comment 9 Guo, Zhiyi 2018-02-12 07:39:40 UTC
Test against qemu-kvm-rhev-2.10.0-19.el7.x86_64:
# /usr/libexec/qemu-kvm -device virtio-vga,iommu_platform=on
VNC server running on ::1:5900

Verify this issue against qemu-kvm-rhev-2.10.0-20.el7.x86_64:
# /usr/libexec/qemu-kvm -device virtio-vga,iommu_platform=on
qemu-kvm: -device virtio-vga,iommu_platform=on: virtio-gpu does not support vIOMMU yet

Comment 10 Guo, Zhiyi 2018-02-12 07:42:19 UTC
Verified per comment 9

Comment 12 errata-xmlrpc 2018-04-11 00:58:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.